Updating Libtorrent because of Error: short read

General support for problems installing or using Deluge
raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Wed Oct 26, 2016 4:11 pm

All files compiled very quickly until...

Code: Select all

~/libtorrent-rasterbar-1.0.10 $ sudo make -j$(nproc)

  CXX      session_impl.lo
In file included from /usr/include/dirent.h:244:0,
                 from ../include/libtorrent/file.hpp:78,
                 from ../include/libtorrent/storage.hpp:60,
                 from ../include/libtorrent/torrent_handle.hpp:58,
                 from ../include/libtorrent/session.hpp:50,
                 from session_impl.cpp:62:
session_impl.cpp: In member function ‘void libtorrent::aux::session_impl::load_state(const libtorrent::lazy_entry*)’:
session_impl.cpp:1364:43: warning: invalid access to non-static data member ‘libtorrent::aux::session_impl::m_settings’  of NULL object [-Winvalid-offsetof]
    if (c.offset == offsetof(session_impl, m_settings))
                                           ^
session_impl.cpp:1364:43: warning: (perhaps the ‘offsetof’ macro was used incorrectly) [-Winvalid-offsetof]

shamael
Super Seeder
Super Seeder
Posts: 334
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Updating Libtorrent because of Error: short read

Postby shamael » Wed Oct 26, 2016 5:19 pm

cannot point the issue here :(.
I use

Code: Select all

make -j 3
to not overload the pi. Don't think it's your problem here but maybe retry this setting combined with the 1.0.9 libtorrent to match what I succeed and show us the result. If it work you have at least something and we know nothiong else is wrong with libraries

Cas
Top Bloke
Top Bloke
Posts: 3473
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Updating Libtorrent because of Error: short read

Postby Cas » Wed Oct 26, 2016 6:04 pm

Those are warnings that can be ignored

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Wed Oct 26, 2016 6:06 pm

Cas wrote:Those are warnings that can be ignored


Yes compilation continues. But as I'm picky, just asking :)

Thanks!

Cas
Top Bloke
Top Bloke
Posts: 3473
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Updating Libtorrent because of Error: short read

Postby Cas » Wed Oct 26, 2016 6:15 pm

For reference this is from libtorrent mailing list:

arvid wrote:none of the offsetof() warnings will be fixed until the next major
release of libtorrent (probably 2.0) because the proper fix essentially
requires changing the ABI.

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Wed Oct 26, 2016 6:17 pm

Good to know. Thanks Cas, again!!

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Fri Oct 28, 2016 4:08 pm

**********************************************************************

Done. The new package has been installed and saved to

/home/pi/libtorrent-rasterbar-1.0.10/libtorrent-rasterbar_1.0.10-1_armhf.deb

You can remove it from your system anytime using:

dpkg -r libtorrent-rasterbar

**********************************************************************

deluge: 1.3.13
libtorrent: 1.0.10.0


Thanks for support \o/

shamael
Super Seeder
Super Seeder
Posts: 334
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Updating Libtorrent because of Error: short read

Postby shamael » Fri Oct 28, 2016 7:43 pm

Great, happy you succeed :)

Enjoy

raspdealer
Leecher
Leecher
Posts: 55
Joined: Sun Oct 04, 2015 6:11 pm
OS or Distro: Raspbian

Re: Updating Libtorrent because of Error: short read

Postby raspdealer » Sat Dec 09, 2017 2:05 pm

Hi there,

I'm coming back on that topic because I had to reset my SD card and reinstall everything.
Today I tried to build libtorrent again and here is the result....

Code: Select all

pi@bananapi:~/libtorrent-rasterbar-1.1.5 $ sudo make -j$(nproc)
Making all in include/libtorrent
make[1]: Entering directory '/home/pi/libtorrent-rasterbar-1.1.5/include/libtorrent'
make[1]: Nothing to be done for 'all'.
make[1]: Leaving directory '/home/pi/libtorrent-rasterbar-1.1.5/include/libtorrent'
Making all in src
make[1]: Entering directory '/home/pi/libtorrent-rasterbar-1.1.5/src'
  CXX      rss.lo
  CXX      session_call.lo
  CXX      session_handle.lo
  CXX      session_impl.lo
g++: internal compiler error: Killed (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.9/README.Bugs> for instructions.
Makefile:941: recipe for target 'session_handle.lo' failed
make[1]: *** [session_handle.lo] Error 1
make[1]: *** Waiting for unfinished jobs....


I made a swap before so I don't get it :(

Thanks for help

shamael
Super Seeder
Super Seeder
Posts: 334
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Re: Updating Libtorrent because of Error: short read

Postby shamael » Mon Dec 11, 2017 8:46 am

Have you added the swap as described in the procedure? If so with enough space?
Btw the recommended version for 1.3.15 is libtorrent 1.0.11

Ps: Why not the PPA install (no compil or else and working on RPI)? Jessie well documented, for Stretch based I gave my steps here viewtopic.php?f=7&t=54783


Return to “Support”

Who is online

Users browsing this forum: No registered users and 8 guests